%global pypi_name furo

%define nodever 16.15.1

Name:           python-sphinx-theme-%{pypi_name}
Version:        2022.9.29
Release:        %mkrel 2
Summary:        A clean customisable Sphinx documentation theme
Group:          Development/Python
License:        MIT
URL:            https://github.com/pradyunsg/furo
Source0:        %{pypi_source}
Source1:        python-sphinx-theme-furo-%{version}-vendor.tar.gz
Source2:        https://nodejs.org/dist/v%{nodever}/node-v%{nodever}-linux-x64.tar.gz
Patch0:         furo-2022.9.29-relax-dependencies.patch
ExclusiveArch:  x86_64
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(beautifulsoup4)
BuildRequires:  python3dist(pygments)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-theme-builder)
BuildRequires:  python3dist(sphinx-basic-ng)

%description
A clean customisable Sphinx documentation theme.

%package -n     python3-sphinx-theme-%{pypi_name}
Summary:        A clean customisable Sphinx documentation theme
Group:          Development/Python
%{?python_provide:%python_provide python3-sphinx-theme-%{pypi_name}}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python3-furo < 2021.4.11b34-2
Provides:       python3-furo = %{version}-%{release}

%description -n python3-sphinx-theme-%{pypi_name}
A clean customisable Sphinx documentation theme.

%prep
%autosetup -p1 -n %{pypi_name}-%{version} -a1

# for stb/nodeenv
cat > ./nodeenvrc << EOF
[nodeenv]
node = %{nodever}
mirror = file://${PWD}
EOF

# prebuilt node
mkdir -p v%{nodever}
install %{SOURCE2} v%{nodever}/

%build
export STB_NO_POPULATE=1
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-sphinx-theme-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Thu Mar 02 2023 daviddavid <daviddavid> 2022.9.29-2.mga9
+ Revision: 1946333
- relax sphinx dependency

* Fri Nov 18 2022 kekepower <kekepower> 2022.9.29-1.mga9
+ Revision: 1908727
- Use vendored node packages + node 16.15.1
- Update to version 2022.9.29
+ guillomovitch <guillomovitch>
- new version 2022.9.15

* Tue Mar 29 2022 umeabot <umeabot> 2021.8.31-4.mga9
+ Revision: 1832721
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 2021.8.31-3.mga9
+ Revision: 1782009
- rebuild for python-3.10

* Fri Sep 03 2021 wally <wally> 2021.8.31-2.mga9
+ Revision: 1744240
- switch to pyproject build

* Fri Sep 03 2021 wally <wally> 2021.8.31-1.mga9
+ Revision: 1744211
- new version 2021.8.31

* Tue Apr 20 2021 daviddavid <daviddavid> 2021.4.11b34-3.mga9
+ Revision: 1717226
- change also name tag
- update spec file for new pkg-name
- rename package as a sphinx theme

* Mon Apr 19 2021 daviddavid <daviddavid> 2021.4.11b34-1.mga9
+ Revision: 1717169
- initial package python-furo

